# kabc Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KABC::ErrorHandler Class Reference

Abstract class that provides displaying of error messages. More...

`#include <errorhandler.h>`

Inheritance diagram for KABC::ErrorHandler:

[legend]
List of all members.

## Public Member Functions

virtual void | error (const QString &msg)=0

## Detailed Description

Abstract class that provides displaying of error messages.

We need this to make libkabc gui independent on the one side and provide user friendly error messages on the other side. Use `ConsoleErrorHandler` or `GuiErrorHandler` in your application or provide your own ErrorHandler.

Definition at line 38 of file errorhandler.h.

## Member Function Documentation

virtual void KABC::ErrorHandler::error | ( | const QString & | msg | ) | `[pure virtual]`

| Show error message. Implemented in KABC::ConsoleErrorHandler, KABC::GUIErrorHandler, and KABC::GuiErrorHandler.

The documentation for this class was generated from the following file:

- errorhandler.h

This file is part of the documentation for kabc Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:31:45 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003